import { r as registerInstance, c as createEvent, h, H as Host } from './index-ecdfb761.js';

const MentornityAcceptApplicationButton = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.updateStatusAnnouncement = createEvent(this, "updateStatusAnnouncement", 7);
  }
  render() {
    return (h(Host, null, h("dvn-switch", { tint: "secondary", scale: "small", checked: this.item.status === 'published' ? true : false, onChange: () => this.updateStatusAnnouncement.emit(this.item) })));
  }
};

export { MentornityAcceptApplicationButton as mentornity_announcements_status_switch };
